WARNING - OLD ARCHIVES

This is an archived copy of the Xen.org mailing list, which we have preserved to ensure that existing links to archives are not broken. The live archive, which contains the latest emails, can be found at http://lists.xen.org/
   
 
 
Xen 
 
Home Products Support Community News
 
   
 

xen-devel

Re: [Xen-devel] [PATCH] ocaml: xc bindings: use libxenctrl and libxengue

To: "xen-devel@xxxxxxxxxxxxxxxxxxx" <xen-devel@xxxxxxxxxxxxxxxxxxx>
Subject: Re: [Xen-devel] [PATCH] ocaml: xc bindings: use libxenctrl and libxenguest
From: Ian Campbell <Ian.Campbell@xxxxxxxxxx>
Date: Fri, 10 Sep 2010 11:33:08 +0100
Cc: Vincent Hanquez <Vincent.Hanquez@xxxxxxxxxxxxx>
Delivery-date: Fri, 10 Sep 2010 03:34:08 -0700
Envelope-to: www-data@xxxxxxxxxxxxxxxxxxx
In-reply-to: <c2610f86abfb2c34a5a6.1284113454@xxxxxxxxxxxxxxxxxxxxxxxxx>
List-help: <mailto:xen-devel-request@lists.xensource.com?subject=help>
List-id: Xen developer discussion <xen-devel.lists.xensource.com>
List-post: <mailto:xen-devel@lists.xensource.com>
List-subscribe: <http://lists.xensource.com/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=subscribe>
List-unsubscribe: <http://lists.xensource.com/mailman/listinfo/xen-devel>, <mailto:xen-devel-request@lists.xensource.com?subject=unsubscribe>
Organization: Citrix Systems, Inc.
References: <c2610f86abfb2c34a5a6.1284113454@xxxxxxxxxxxxxxxxxxxxxxxxx>
Sender: xen-devel-bounces@xxxxxxxxxxxxxxxxxxx
On Fri, 2010-09-10 at 11:10 +0100, Ian Campbell wrote:
> I was however able to confirm that oxenstored still worked.

I did need this small patch though, because
        xenstore-read /
fails on an oxenstored with a fresh database. Doing
        xenstore-write / ""
makes the xenstore-read work. I suspect this would be better solved on
the oxenstored side, but I couldn't figure out how or where. It wasn't
as simple as duplicating the fragment of ml which creates /local in an
empty DB using / instead ;-)

Ian.

diff -r 635270fe858b -r 8a710e0eb088 tools/hotplug/Linux/init.d/xencommons
--- a/tools/hotplug/Linux/init.d/xencommons     Fri Sep 10 11:09:10 2010 +0100
+++ b/tools/hotplug/Linux/init.d/xencommons     Fri Sep 10 11:10:00 2010 +0100
@@ -44,17 +44,22 @@ do_start () {
            [ ! -d $i ] || rmdir $i
        done
 
-       if ! `xenstore-read -s / >/dev/null 2>&1`
+       if ! `xenstore-read -s /local >/dev/null 2>&1`
        then
                test -z "$XENSTORED_ROOTDIR" || 
XENSTORED_ROOTDIR="/var/lib/xenstored"
                rm -f "$XENSTORED_ROOTDIR"/tdb* &>/dev/null
                test -z "$XENSTORED_TRACE" || XENSTORED_ARGS=" -T 
/var/log/xen/xenstored-trace.log"
 
-               echo -n Starting xenstored...
-               xenstored --pid-file=/var/run/xenstore.pid $XENSTORED_ARGS
+               if [ -e /usr/sbin/oxenstored ] ; then
+                   echo -n Starting oxenstored...
+                   oxenstored --pid-file /var/run/xenstore.pid $XENSTORED_ARGS
+               else
+                   echo -n Starting xenstored...
+                   xenstored --pid-file /var/run/xenstore.pid $XENSTORED_ARGS
+               fi
 
                # Wait for xenstored to actually come up, timing out after 30 
seconds
-                while [ $time -lt $timeout ] && ! `xenstore-read -s / 
>/dev/null 2>&1` ; do
+                while [ $time -lt $timeout ] && ! `xenstore-read -s /local 
>/dev/null 2>&1` ; do
                     echo -n .
                    time=$(($time+1))
                     sleep 1



_______________________________________________
Xen-devel mailing list
Xen-devel@xxxxxxxxxxxxxxxxxxx
http://lists.xensource.com/xen-devel